Subject: 27.0.50; xdisp.c:7575: Emacs fatal error: assertion failed: IT_BYTEPOS (*it) == CHAR_TO_BYTE (IT_CHARPOS (*it))

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Apr 2018 15:54:55 -0400

Package: Emacs
Version: 27.0.50

I can reproduce the above assertion failure when I do the following:

    % src/emacs -Q /usr/bin/perl -l .../elpa/packages/nhexl-mode/nhexl-mode.el -f nhexl-mode --eval '(setq word-wrap t)'
    y
    M->

The `y` is because nhexl-mode prompts the user to convert the buffer
to unibyte and is not directly relevant: you can use find-file-literally
instead and the result is the same.  I used /usr/bin/perl in the above
example, but I could reproduce the same crash with "any" binary
executable such as /bin/gzip and src/emacs (tho with some it doesn't
crash immediately).

Obviously, word-wrap in a binary buffer is not very meaningful, but
that doesn't justify a discrepancy between charpos and bytepos.

        Stefan